import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    Main() {
        super("ActionEvent Example");
        Button button = new Button("Button");

        // Listen for action events.
        button.addActionListener(this);

        add(button, BorderLayout.CENTER);
        pack();
        show();
    }

    // Note: modifiers for action events is not yet working in Java 1.1.1.
    public void actionPerformed(ActionEvent evt) {
        if ((evt.getModifiers() & ActionEvent.ALT_MASK) != 0) {
            System.out.print("alt ");
        } else if ((evt.getModifiers() & ActionEvent.CTRL_MASK) != 0) {
            System.out.print("ctrl ");
        } else if ((evt.getModifiers() & ActionEvent.META_MASK) != 0) {
            System.out.print("meta ");
        } else if ((evt.getModifiers() & ActionEvent.SHIFT_MASK) != 0) {
            System.out.print("shift ");
        }
        System.out.println(evt.getActionCommand());
    }
    
    public static void main(String args[]) {
        new Main();
    }
}
