import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
class Main extends Frame implements ActionListener {
    Checkbox cb = new Checkbox("Checkbox");
    TextField tf = new TextField(40);

    Main() {
        super("setLabel Example");
        add(new Canvas(), BorderLayout.CENTER); 
        add(cb, BorderLayout.WEST); 
        add(tf, BorderLayout.SOUTH); 
        tf.setText(cb.getLabel());       // Initialize with current label
        tf.addActionListener(this);      // Set listener for updating label
        pack();
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        cb.setLabel(tf.getText());

	// Invalidate this checkbox because of size change
        cb.invalidate();

        // Validate parent to resize checkbox
        cb.getParent().validate();
    }

    static public void main(String[] args) {
        new Main();
    }
}
