import java.awt.*;

class Main extends Frame {
    Main() {
        super("FontMetrics Example");
        setSize(150, 75);
        show();
    }

    public void paint(Graphics g) {
        Font f = new Font("Monospaced", Font.ITALIC+Font.BOLD, 18);
        FontMetrics fm = g.getFontMetrics(f);
        int y = getInsets().top;
        int x = getInsets().left;

        g.setColor(Color.blue);
        g.setFont(f);
        g.drawString("First Line", x, y + fm.getAscent());
        y += fm.getHeight();
        g.drawString("Second Line", x, y + fm.getAscent());
    }

    public static void main(String[] args) {
        new Main();
    }
}
