import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    TextArea ta = new TextArea();
    Label rows, cols;

    Main() {
        super("TextArea.getColumns() Example");
        Panel p = new Panel(new GridLayout(2, 0));

        rows = new Label("Rows=" + ta.getRows());
        p.add(rows);

        Button b = new Button("Rows -5");
        p.add(b);
        b.addActionListener(this);
        b = new Button("Rows +5");
        p.add(b);
        b.addActionListener(this);

        cols = new Label("Cols=" + ta.getColumns());
        p.add(cols);
        b = new Button("Cols -5");
        p.add(b);
        b.addActionListener(this);
        b = new Button("Cols +5");
        p.add(b);
        b.addActionListener(this);

        add(p, BorderLayout.SOUTH);
        add(ta, BorderLayout.CENTER);

        pack();
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        String cmd = evt.getActionCommand();
        if (cmd.equals("Rows -5")) {
            ta.setRows(ta.getRows()-5);
            rows.setText("Rows=" + ta.getRows());
        } else if (cmd.equals("Rows +5")) {
            ta.setRows(ta.getRows()+5);
            rows.setText("Rows=" + ta.getRows());
        } else  if (cmd.equals("Cols -5")) {
            ta.setColumns(ta.getColumns()-5);
            cols.setText("Cols=" + ta.getColumns());
        } else if (cmd.equals("Cols +5")) {
            ta.setColumns(ta.getColumns()+5);
            cols.setText("Cols=" + ta.getColumns());
        }     
    }

    public static void main(String[] args) {
        new Main();
    }
}
