import java.awt.*;
import java.awt.event.*;

class Main extends Frame {
    TextField tf = new TextField();
    TextArea ta = new TextArea();

    Main() {
        super("getSelectedEnd Example");
        add(ta, BorderLayout.CENTER);
        add(tf, BorderLayout.SOUTH);

        // Add listeners for textfield and textarea
        KeyEventHandler listener = new KeyEventHandler();
        ta.addKeyListener(listener);
        tf.addKeyListener(listener);

        pack();
        show();
    }

    class KeyEventHandler extends KeyAdapter {
        public void keyPressed(KeyEvent evt) {
            if (evt.isControlDown() && evt.getKeyCode() == KeyEvent.VK_E) {
                TextComponent tc = (TextComponent)evt.getSource();
                String str = tc.getText();
                int e = str.indexOf('\n', tc.getSelectionEnd());
                
                tc.setSelectionEnd(e < 0 ? str.length() : e);
            }
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
