import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    TextField tf = new TextField();
    TextArea ta = new TextArea(10, 40);

    Main() {
        super("select Example");
        add(ta, BorderLayout.CENTER);
        add(tf, BorderLayout.SOUTH);

        // Add listener for text field
        tf.addActionListener(this);

        pack();
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        String str = tf.getText();
        int s = ta.getText().indexOf(str, ta.getSelectionStart());

        if (s < 0 && ta.getSelectionStart() > 0) {
            // Let's try from the beginning.
            s = ta.getText().indexOf(str, 0);
        }
        if (s >= 0) {
            ta.select(s, s + str.length());
            ta.requestFocus();
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
