import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class Main extends Applet implements ItemListener {
    Color color;

    public void init() {
        Choice c = new Choice();

        setLayout(new BorderLayout());
        c.addItem("black");
        c.addItem("red");
        c.addItem("green");
        c.addItem("blue");
        add(c, BorderLayout.CENTER);
        c.addItemListener(this);
    }
    
    public Color getColor() {
        return color;
    }

    public void itemStateChanged(ItemEvent evt) {
        Object arg = evt.getItem();
        if ("black".equals(arg)) {
            color = Color.black;
        } else if ("red".equals(arg)) {
            color = Color.red;
        } else if ("green".equals(arg)) {
            color = Color.green;
        } else if ("blue".equals(arg)) {
            color = Color.blue;
        }
        for (Enumeration e=getAppletContext().getApplets(); 
             e.hasMoreElements(); ) {
            Applet a = (Applet)e.nextElement();
            if (a != null && a != this) {
                a.repaint();
            }
        }
    }
}

