import java.awt.*;
import java.awt.event.*;

public class Main extends Frame implements ActionListener {
    MenuItem menuitem = new MenuItem("MenuItem");
    Button button = new Button("Button");
    List list = new List();
    TextField textfield = new TextField("TextField");

    Main() {
        super("ActionEvent Example");

        list.addItem("List");

        // Create menubar and initialize.
        MenuBar mb = new MenuBar();
        Menu m = new Menu("Menu");
        m.add(menuitem);
        mb.add(m);
        setMenuBar(mb);

        // Listen for events
        menuitem.addActionListener(this);
        button.addActionListener(this);
        list.addActionListener(this);
        textfield.addActionListener(this);

        // Layout components
        setLayout(new FlowLayout());
        add(button);
        add(list);
        add(textfield);
        pack();
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        System.out.println(evt);
    }

    public static void main(String args[]) {
        new Main();
    }
}
