import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements FocusListener {
    Main() {
        super("FocusEvent Example");
        TextArea ta = new TextArea();

        // Listen for focus events.
        ta.addFocusListener(this);

        add(ta, BorderLayout.CENTER);
        pack();
        show();
    }

    public void focusGained(FocusEvent evt) {
        System.out.println("FOCUS_GAINED: "
            +(evt.isTemporary() ? "temporary" : "permanent"));
    }
    public void focusLost(FocusEvent evt) {
        System.out.println("FOCUS_LOST: "
            +(evt.isTemporary() ? "temporary" : "permanent"));
    }

    public static void main(String args[]) {
        new Main();
    }
}
