import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

class Main extends Frame implements ActionListener {
    Button bt = new Button("Button");
    TextField tf = new TextField(40);

    Main() {
        super("getActionCommand Example");
        add(bt, BorderLayout.NORTH); 
        add(tf, BorderLayout.SOUTH); 

        tf.setText(bt.getActionCommand()); 

        // Set listener for text field and button
        tf.addActionListener(this);
        bt.addActionListener(this);
        pack();
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        Object src = evt.getSource();
        if (src instanceof TextField) {
            bt.setActionCommand(tf.getText());
        } else {
            System.out.println(evt.getActionCommand());
        }
    }

    static public void main(String[] args) {
        new Main();
    }
} 
