import java.awt.*;
import java.awt.event.*;

class Main extends Frame {
    Main () {
        super("getLocationOnScreen example");
        Component c;
        MouseEventHandler ml = new MouseEventHandler();

        add(c = new Button("Quit"), BorderLayout.NORTH); 
        c.addMouseListener(ml);
        add(c=new Canvas(), BorderLayout.CENTER); 
        c.addMouseListener(ml);
        add(c=new Scrollbar(), BorderLayout.EAST); 
        c.addMouseListener(ml);
        add(c=new Label("Ready"), BorderLayout.SOUTH);
        c.addMouseListener(ml);

        setSize(200, 200);
        pack();
        show();
    }

    class MouseEventHandler extends MouseAdapter {
        public void mousePressed(MouseEvent evt) {
            Component src = (Component)evt.getSource();
            System.out.println(src.getLocationOnScreen());
        }
    }

    public static void main(String[] args) {
        new Main();
    }
}
