import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    Panel flow = new Panel();
    Panel card = new Panel();

    Main() {
        super("setLayout Example");

        flow.setLayout(new FlowLayout());
        card.setLayout(new CardLayout());
        
        addComp("Button", new Button("Button"));
        addComp("TextArea", new TextArea("TextArea"));
        addComp("List", new List());

        add(flow, BorderLayout.NORTH); 
        add(card, BorderLayout.CENTER); 

        setSize(200, 200);
        show();
    }

    void addComp(String label, Component c) {
        Button b = new Button(label);
        card.add(c, label);
        flow.add(b);
        b.addActionListener(this);
    }

    public void actionPerformed(ActionEvent evt) {
        String arg = evt.getActionCommand();
        CardLayout l = (CardLayout)card.getLayout();
        l.show(card, arg);
    }

    static public void main(String[] args) {
        new Main();
    }
}
