import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ItemListener {
    MenuBar mb = new MenuBar();
    Checkbox cb = new Checkbox("Display Menu Bar");

    Main() {
        super("remove Example");
        Menu m = new Menu("Menu");

        m.add("MenuItem");
        mb.add(m);

        add(cb, BorderLayout.SOUTH); 
        cb.addItemListener(this);

        pack();
        show();
    }

    public void itemStateChanged(ItemEvent evt) {
        if (evt.getSource() == cb) {
            if (cb.getState()) {
                setMenuBar(mb);
            } else {
                remove(mb);
            }
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
