import java.awt.*;

class Main extends Frame {
    Main() {
        super("clearRect Example");
        setBackground(Color.black);
        setSize(200, 200);
        show();
    }

    public void paint(Graphics g) {
        Insets insets = this.getInsets();
        int x = insets.left, y = insets.top;
        int w = getSize().width-insets.left-insets.right;
        int h = getSize().height-insets.top-insets.bottom;

        g.setColor(Color.red);
        while (w > 0 && h > 0) {
            g.clearRect(x++, y++, w, h);
            g.fillRect(x++, y++, w-2, h-2);
            w -= 4;
            h -= 4;
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
