import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener{
    MenuItem mi = new MenuItem("One");

    Main() {
        super("setLabel Example");
        MenuBar mb = new MenuBar();
        Menu m = new Menu("Menu");

        // Add menu item.
        m.add(mi);

        // Add the two buttons.
        Button b;
        add(b = new Button("One"), BorderLayout.WEST); 
        b.addActionListener(this);
        add(b = new Button("Two"), BorderLayout.EAST);
        b.addActionListener(this);

        // Set the menu bar on the frame.
        mb.add(m);
        setMenuBar(mb);
        setSize(100, 100);
        show();
    }

    // Action handler for buttons
    public void actionPerformed(ActionEvent evt) {
        mi.setLabel(evt.getActionCommand());
    }

    static public void main(String[] args) {
        new Main();
    }
}
